## ros-dashing-ros-base 0.7.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ros_base NONE)

find_package(ament_cmake REQUIRED)

ament_package()

=== debian/changelog ===
ros-dashing-ros-base (0.7.4-1bionic) bionic; urgency=high



 -- Steven! Ragnarök <steven@openrobotics.org>  Fri, 10 Jul 2020 04:00:00 -0000

ros-dashing-ros-base (0.7.3-1bionic) bionic; urgency=high



 -- Steven! Ragnarök <steven@openrobotics.org>  Tue, 10 Dec 2019 05:00:00 -0000

ros-dashing-ros-base (0.6.1-1bionic) bionic; urgency=high



 -- Steven! Ragnarök <steven@openrobotics.org>  Wed, 12 Dec 2018 05:00:00 -0000

ros-dashing-ros-base (0.6.0-1bionic) bionic; urgency=high

  * Updated maintainer (#8 <https://github.com/ros2/variants/issues/8>)
  * Updated to use CMake language NONE for metapackages (#4 <https://github.com/ros2/variants/issues/4>)
  * Contributors: Mikael Arguedas, Steven! Ragnarök

 -- Steven! Ragnarök <steven@openrobotics.org>  Fri, 07 Dec 2018 05:00:00 -0000

ros-dashing-ros-base (0.5.1-1bionic) bionic; urgency=high



 -- Steven! Ragnarök <steven@openrobotics.org>  Wed, 18 Jul 2018 04:00:00 -0000

ros-dashing-ros-base (0.5.0-1bionic) bionic; urgency=high

  * define ROS 2 Bouncy variants (#1 <https://github.com/ros2/variants/issues/1>)
  * Contributors: Mikael Arguedas

 -- Steven! Ragnarök <steven@openrobotics.org>  Tue, 17 Jul 2018 04:00:00 -0000

=== debian/control ===
Source: ros-dashing-ros-base
Section: misc
Priority: optional
Maintainer: Steven! Ragnarök <steven@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-ros-base
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-kdl-parser, ros-dashing-robot-state-publisher, ros-dashing-ros-core, ros-dashing-tf2, ros-dashing-tf2-eigen, ros-dashing-tf2-geometry-msgs, ros-dashing-tf2-kdl, ros-dashing-tf2-ros, ros-dashing-urdf, ros-dashing-ros-workspace
Description: A package which extends 'ros_core' and includes other basic functionalities like tf2 and urdf.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-ros-base//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
